Bug 1954585 - [abrt] gnome-shell: meta_kms_update_set_power_save(): gnome-shell killed by SIGABRT
Summary: [abrt] gnome-shell: meta_kms_update_set_power_save(): gnome-shell killed by S...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 34
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5078a7de8d64fbec96857f033b9...
: 1956277 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-28 12:26 UTC by Mihai Harpau
Modified: 2022-06-07 21:14 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-06-07 21:14:43 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (184.57 KB, text/plain)
2021-04-28 12:26 UTC, Mihai Harpau
no flags Details
File: core_backtrace (86.35 KB, text/plain)
2021-04-28 12:26 UTC, Mihai Harpau
no flags Details
File: cpuinfo (2.56 KB, text/plain)
2021-04-28 12:26 UTC, Mihai Harpau
no flags Details
File: dso_list (525 bytes, text/plain)
2021-04-28 12:26 UTC, Mihai Harpau
no flags Details
File: environ (1.29 KB, text/plain)
2021-04-28 12:26 UTC, Mihai Harpau
no flags Details
File: limits (1.29 KB, text/plain)
2021-04-28 12:26 UTC, Mihai Harpau
no flags Details
File: maps (3.95 KB, text/plain)
2021-04-28 12:26 UTC, Mihai Harpau
no flags Details
File: mountinfo (2.98 KB, text/plain)
2021-04-28 12:26 UTC, Mihai Harpau
no flags Details
File: open_fds (10.55 KB, text/plain)
2021-04-28 12:26 UTC, Mihai Harpau
no flags Details
File: proc_pid_status (1.40 KB, text/plain)
2021-04-28 12:26 UTC, Mihai Harpau
no flags Details

Description Mihai Harpau 2021-04-28 12:26:03 UTC
Version-Release number of selected component:
gnome-shell-40.0-4.fc34

Additional info:
reporter:       libreport-2.14.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/org.gnome.Shell
cmdline:        /usr/bin/gnome-shell
crash_function: meta_kms_update_set_power_save
executable:     /usr/bin/gnome-shell
journald_cursor: s=9e0937537486464eaf6e9431b1b32b4a;i=5906e;b=7eb05e0b2e4144d3a8b7ff9ce09241ae;m=44dd16f9;t=5c106f59c9657;x=e5a639ca850bd338
kernel:         5.11.16-300.fc34.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Mihai Harpau 2021-04-28 12:26:11 UTC
Created attachment 1776555 [details]
File: backtrace

Comment 2 Mihai Harpau 2021-04-28 12:26:14 UTC
Created attachment 1776556 [details]
File: core_backtrace

Comment 3 Mihai Harpau 2021-04-28 12:26:15 UTC
Created attachment 1776557 [details]
File: cpuinfo

Comment 4 Mihai Harpau 2021-04-28 12:26:17 UTC
Created attachment 1776558 [details]
File: dso_list

Comment 5 Mihai Harpau 2021-04-28 12:26:19 UTC
Created attachment 1776559 [details]
File: environ

Comment 6 Mihai Harpau 2021-04-28 12:26:22 UTC
Created attachment 1776560 [details]
File: limits

Comment 7 Mihai Harpau 2021-04-28 12:26:23 UTC
Created attachment 1776561 [details]
File: maps

Comment 8 Mihai Harpau 2021-04-28 12:26:25 UTC
Created attachment 1776562 [details]
File: mountinfo

Comment 9 Mihai Harpau 2021-04-28 12:26:28 UTC
Created attachment 1776563 [details]
File: open_fds

Comment 10 Mihai Harpau 2021-04-28 12:26:30 UTC
Created attachment 1776564 [details]
File: proc_pid_status

Comment 11 Gerson Victor 2021-05-03 11:32:01 UTC
*** Bug 1956277 has been marked as a duplicate of this bug. ***

Comment 12 Andrew Creech 2021-05-09 01:57:20 UTC
Similar problem has been detected:

Closed lid to put Lenovo T480 laptop to sleep.

reporter:       libreport-2.14.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/org.gnome.Shell
cmdline:        /usr/bin/gnome-shell
crash_function: meta_kms_update_set_power_save
executable:     /usr/bin/gnome-shell
journald_cursor: s=80b82d4900b24347b49caf35c2cb353d;i=2ee2c;b=c613fbe0bdf24a9cae289880cdc26a40;m=1a67f0361;t=5c1d7772f1a8d;x=2ba9d41217d6fca3
kernel:         5.11.18-300.fc34.x86_64
package:        gnome-shell-40.0-6.fc34
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Tom Jin 2021-05-12 06:38:43 UTC
Similar problem has been detected:

Lenovo Thinkpad 11e waking up from sleep.

reporter:       libreport-2.14.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/org.gnome.Shell
cmdline:        /usr/bin/gnome-shell
crash_function: meta_kms_update_set_power_save
dso_list:       /usr/bin/gnome-shell gnome-shell-40.0-6.fc34.x86_64 (Fedora Project) 1620252166
executable:     /usr/bin/gnome-shell
journald_cursor: s=7d6660f86ce64274aa0679afc702a136;i=2743f;b=79b3c6737c7543729bc31bea9d5db2fa;m=1648cd5569;t=5c215ad563a95;x=d28d74a47f37621a
kernel:         5.10.16-200.fc33.x86_64
package:        gnome-shell-40.0-6.fc34
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Alan Jenkins 2021-05-13 11:04:19 UTC
Similar problem has been detected:

I've had two gnome-shell crashes so far which appear after resume from suspend.

May 12 16:11:04 alan-laptop systemd-sleep[139505]: System resumed.
May 12 16:11:04 alan-laptop kernel: PM: suspend exit

May 12 16:11:04 alan-laptop systemd[1]: Started Atop advanced performance monitor.
May 12 16:11:04 alan-laptop gnome-shell[121515]: **
May 12 16:11:04 alan-laptop gnome-shell[121515]: mutter:ERROR:../src/backends/native/meta-kms-update.c:340:meta_kms_update_set_power_save: assertion f
ailed: (!update->crtc_gammas)
May 12 16:11:04 alan-laptop gnome-shell[121515]: Bail out! mutter:ERROR:../src/backends/native/meta-kms-update.c:340:meta_kms_update_set_power_save: assertion failed: (!update->crtc_gammas)
May 12 16:11:04 alan-laptop gnome-shell[121515]: == Stack trace for context 0x5586840da170 ==

May 13 10:03:54 alan-laptop kernel: PM: suspend exit
May 13 10:03:54 alan-laptop systemd-sleep[166006]: System resumed.

May 13 10:03:54 alan-laptop audit[140655]: ANOM_ABEND auid=1001 uid=1001 gid=1001 ses=17 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=140655 comm="gnome-shell" exe="/usr/bin/gnome-shell" sig=6 res=1
May 13 10:03:54 alan-laptop gnome-shell[140655]: **
May 13 10:03:54 alan-laptop gnome-shell[140655]: mutter:ERROR:../src/backends/native/meta-kms-update.c:340:meta_kms_update_set_power_save: assertion failed: (!update->crtc_gammas)
May 13 10:03:54 alan-laptop gnome-shell[140655]: Bail out! mutter:ERROR:../src/backends/native/meta-kms-update.c:340:meta_kms_update_set_power_save: assertion failed: (!update->crtc_gammas)
May 13 10:03:54 alan-laptop gnome-shell[140655]: == Stack trace for context 0x55e847ea3190 ==

reporter:       libreport-2.14.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-1001.slice/user/session.slice/org.gnome.Shell
cmdline:        /usr/bin/gnome-shell
crash_function: meta_kms_update_set_power_save
executable:     /usr/bin/gnome-shell
journald_cursor: s=58e54a9e83cc4426bd18163c7598fbb1;i=2b7a3b;b=2b4b62a714b944e7988d1003ebd364bd;m=e7065d3e8;t=5c23268550b13;x=4ac4344a75c95183
kernel:         5.11.18-300.fc34.x86_64
package:        gnome-shell-40.0-6.fc34
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 15 JH 2021-06-13 03:40:35 UTC
Similar problem has been detected:

Happened when waking the device from sleep

reporter:       libreport-2.15.2
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/org.gnome.Shell
cmdline:        /usr/bin/gnome-shell
crash_function: meta_kms_update_set_power_save
executable:     /usr/bin/gnome-shell
journald_cursor: s=2a0137f1d10d403f87ab726bbfe1d706;i=dea;b=f7fe68774d004e99852e0d8fca3b071e;m=12babff3c;t=5c49baeff14b4;x=96e4a89e515a1e20
kernel:         5.12.9-300.fc34.x86_64
package:        gnome-shell-40.2-1.fc34
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Flávio Pimentel 2021-06-13 22:16:47 UTC
Similar problem has been detected:

When closing the notebook lid the gnome-shell does not return.

reporter:       libreport-2.15.2
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/org.gnome.Shell
cmdline:        /usr/bin/gnome-shell
crash_function: meta_kms_update_set_power_save
dso_list:       /usr/bin/gnome-shell gnome-shell-40.2-1.fc34.x86_64 (Fedora Project) 1623475566
executable:     /usr/bin/gnome-shell
journald_cursor: s=00f3367a600a4465ad9eaeab79204a90;i=32b05;b=4666cdc5f1ea4b42bff20cc38c9fd1ce;m=c25a86ef;t=5c4ab78f0a555;x=e1fa31032077f2a1
kernel:         5.12.9-300.fc34.x86_64
package:        gnome-shell-40.2-1.fc34
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 Peter Stevens 2021-06-15 17:50:59 UTC
Similar problem has been detected:

On resume after closing Thinkpad T61 lid

reporter:       libreport-2.15.2
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/org.gnome.Shell
cmdline:        /usr/bin/gnome-shell
crash_function: meta_kms_update_set_power_save
dso_list:       /usr/bin/gnome-shell gnome-shell-40.2-1.fc34.x86_64 (Fedora Project) 1623508103
executable:     /usr/bin/gnome-shell
journald_cursor: s=b8905d0f5ee04a838313fb081ae692ad;i=48ca3;b=f35633be89534c18b3844752a94d66c5;m=8f19df604;t=5c4d090d06318;x=d0afa7cf6e7d703e
kernel:         5.12.9-300.fc34.x86_64
package:        gnome-shell-40.2-1.fc34
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 18 Ben Cotton 2022-05-12 15:16:35 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 19 Ben Cotton 2022-06-07 21:14:43 UTC
Fedora Linux 34 entered end-of-life (EOL) status on 2022-06-07.

Fedora Linux 34 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.